org.eclipse.core.resources

## Class FileInfoMatcherDescription

- java.lang.Object
- - org.eclipse.core.resources.FileInfoMatcherDescription

    public final class FileInfoMatcherDescription
    extends Object

A description of a file info matcher.

Since:
  3.6

### Constructor Summary

Constructors
Constructor and Description
`FileInfoMatcherDescription(String id, Object arguments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Object` `getArguments()`
`String` `getId()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileInfoMatcherDescription

    public FileInfoMatcherDescription(String id,
                                      Object arguments)

### Method Detail

#### getArguments

    public Object getArguments()

#### getId

    public String getId()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`